%define name grandr_applet
%define version 0.2
%define release 6mdk
%define xfree86 4.3

Summary: Screen resolution changer applet for the GNOME panel
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://handhelds.org/~mallum/downloadables/%{name}-%{version}.tar.bz2
URL: http://handhelds.org/~mallum/
License: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: gnome-panel
Requires: XFree86 >= %xfree86
BuildRequires: XFree86-devel >= %xfree86
BuildRequires: libpanel-applet-devel

%description
GrandrApplet is a simple gnome-panel front end to the xrandr extension
found in XFree86 4.3+ releases. You can use it to switch the screen resolution
on the fly.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS
%_libdir/bonobo/servers/GrandrApplet.server
%_libdir/grandr
%_datadir/pixmaps/grandr.png

%changelog
* Sun Sep 04 2005 Michael Scherer <misc@mandriva.org> 0.2-6mdk
- Rebuild to avoid libglitz deps

* Wed Aug 24 2005 Gtz Waschk <waschk@mandriva.org> 0.2-5mdk
- drop prefix

* Fri Aug 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-4mdk
- rebuild

* Sun Jul 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2-3mdk
- rebuild for new orbit

* Mon Apr 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- fix XFree86 dependancy 

* Sun Apr 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- initial package

